Subject: Re: [PATCH 1/4] Implement normalize_absolute_path

From: David Reiss <[email-masked]>
Date: Tue, 20 May 2008 09:44:26 -0700

> I wonder why my advice to look at setup.c (I think I did not mention the
> function name "sanitary_path_copy()" in particular, because I figured you
> would spot it right away) went unheeded.

I wonder why my comment in the patch went unheeded:
> The closest thing I could find to this in the existing code base was
> sanitary_path_copy, but it does not remove trailing slashes.

Honestly, I found it quite daunting to try to track down all of the
indirect callers of sanitary_path_copy and ensure that they would
continue to work if I changed the behavior of a function that does not
document what it is supposed to do.  Frankly, it would be easier for me
to just keep rebasing my patches and apply them to my local builds.

--David